DynamicJava Javadoc: Class AbstractMethodIdentifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classfile
Class AbstractMethodIdentifier

    java.lang.Object
      |
      +--koala.dynamicjava.classfile.MemberIdentifier
            |
            +--koala.dynamicjava.classfile.AbstractMethodIdentifier

Direct Known Subclasses:
  InterfaceMethodIdentifier, MethodIdentifier

public abstract class AbstractMethodIdentifier
extends MemberIdentifier

The classes derived from this one are used to represents a method

Constructor Summary
`AbstractMethodIdentifier(java.lang.String dc, java.lang.String n, java.lang.String t, java.lang.String[] p)` Creates a new method identifier

Method Summary
`boolean` | `equals(java.lang.Object other)` Indicates whether some other object is equal to this one
`java.lang.String[]` | `getParameters()` Returns the parameters types
`int` | `hashCode()` Returns a hash code value for this object

Methods inherited from class koala.dynamicjava.classfile.MemberIdentifier
`getDeclaringClass, getName, getType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMethodIdentifier

    public AbstractMethodIdentifier(java.lang.String dc,
                                    java.lang.String n,
                                    java.lang.String t,
                                    java.lang.String[] p)

  Creates a new method identifier
  Parameters:
    `dc` - the declaring class of this member
    `n` - the name of this member
    `t` - the type of this member in JVM format
    `p` - the parameters types

Method Detail

### getParameters

    public java.lang.String[] getParameters()

  Returns the parameters types

### equals

    public boolean equals(java.lang.Object other)

  Indicates whether some other object is equal to this one
  Overrides:
    `equals` in class `MemberIdentifier`

### hashCode

    public int hashCode()

  Returns a hash code value for this object
  Overrides:
    `hashCode` in class `MemberIdentifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.